﻿//
// Myriadbits Disk space analyzer 
// Find free space on your NTFS disk
// Copyright (C) 2014 Myriadbits, Jochem Bakker
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// For more information, contact me at: info@myriadbits.com
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Myriadbits.DiskSpaceAnalyzer
{
	public class TreeViewEx : TreeView
	{
		public TreeViewEx()
		{
			// Customize the TreeView control by setting various properties.
			BackColor = System.Drawing.Color.CadetBlue;
			FullRowSelect = true;
			HotTracking = true;
			Indent = 34;
			ShowPlusMinus = false;

			// The ShowLines property must be false for the FullRowSelect 
			// property to work.
			ShowLines = false;
		}

		protected override void OnAfterSelect(TreeViewEventArgs e)
		{
			// Confirm that the user initiated the selection.
			// This prevents the first node from expanding when it is
			// automatically selected during the initialization of 
			// the TreeView control.
			if (e.Action != TreeViewAction.Unknown)
			{
				if (e.Node.IsExpanded)
				{
					e.Node.Collapse();
				}
				else
				{
					e.Node.Expand();
				}
			}

			// Remove the selection. This allows the same node to be
			// clicked twice in succession to toggle the expansion state.
			SelectedNode = null;
		}

	}

}
